Debian Bug report logs - #588636
apt-listbugs: communication problem between the two co-maintainers

Package: apt-listbugs; Maintainer for apt-listbugs is Francesco Poli (wintermute) <invernomuto@paranoici.org>; Source for apt-listbugs is src:apt-listbugs.

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Sat, 10 Jul 2010 17:27:01 UTC

Severity: important

Done: Francesco Poli <frx@firenze.linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sat, 10 Jul 2010 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
New Bug report received and forwarded. Copy sent to Ryan Niebur <ryan@debian.org>. (Sat, 10 Jul 2010 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Francesco Poli \(t1000\)" <frx@firenze.linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 10 Jul 2010 19:23:18 +0200
Package: apt-listbugs
Severity: important

I have a communication problem with Ryan (the other co-maintainer of
apt-listbugs).

I received his last reply on May, the 23rd.
Since that day, I have sent him eight e-mail messages, but I received
no replies whatsoever.

I see some activity by him on
http://git.ryan52.info/?p=midori;a=summary
and
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=12;bug=584185
hence it seems that he's not (forcibly) off-line or unable to
perform some Debian-related work...

The only possible explanations for his silence that come to my mind are:

  (a) he no longer receives my e-mail messages

  (b) I no longer receive his replies

  (c) he decided to ignore me

I hope it's not (c) ...

Ryan, if you can read this bug report, please reply to the bug address,
so that I can see your answer!

I am looking forward to resuming our collaboration!


--
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4




Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 17:48:11 GMT) Full text and rfc822 format available.

Notification sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
Bug acknowledged by developer. (Sat, 10 Jul 2010 17:48:11 GMT) Full text and rfc822 format available.

Message #10 received at 588636-done@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: "Francesco Poli (t1000)" <frx@firenze.linux.it>
Cc: 588636-done@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 10 Jul 2010 10:46:12 -0700
[Message part 1 (text/plain, inline)]
On Sat, Jul 10, 2010 at 07:23:18PM +0200, Francesco Poli (t1000) wrote:
> Package: apt-listbugs
> Severity: important
> 
> I have a communication problem with Ryan (the other co-maintainer of
> apt-listbugs).
> 

oops.

> Ryan, if you can read this bug report, please reply to the bug address,
> so that I can see your answer!
> 
> I am looking forward to resuming our collaboration!
> 

will reply to the private emails later today hopefully, but I am at
work at the moment.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sat, 10 Jul 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sat, 10 Jul 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 10 Jul 2010 20:57:16 +0200
[Message part 1 (text/plain, inline)]
On Sat, 10 Jul 2010 10:46:12 -0700 Ryan Niebur wrote:

> On Sat, Jul 10, 2010 at 07:23:18PM +0200, Francesco Poli (t1000) wrote:
[...]
> > Ryan, if you can read this bug report, please reply to the bug address,
> > so that I can see your answer!
> > 
> > I am looking forward to resuming our collaboration!
> > 
> 
> will reply to the private emails later today hopefully, but I am at
> work at the moment.

Good, I am looking forward to reading your replies...

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Fri, 16 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Fri, 16 Jul 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Fri, 16 Jul 2010 23:24:39 +0200
[Message part 1 (text/plain, inline)]
reopen 588636 !
thanks


On Sat, 10 Jul 2010 20:57:16 +0200 Francesco Poli wrote:

> On Sat, 10 Jul 2010 10:46:12 -0700 Ryan Niebur wrote:
> 
> > On Sat, Jul 10, 2010 at 07:23:18PM +0200, Francesco Poli (t1000) wrote:
> [...]
> > > Ryan, if you can read this bug report, please reply to the bug address,
> > > so that I can see your answer!
> > > 
> > > I am looking forward to resuming our collaboration!
> > > 
> > 
> > will reply to the private emails later today hopefully, but I am at
> > work at the moment.
> 
> Good, I am looking forward to reading your replies...

I haven't yet received any reply...   :-(

Ryan, let's do as follows:
*first* you reply to my e-mail messages,
*then* I close this bug report.

Is that OK with you?


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter to 'Francesco Poli <frx@firenze.linux.it>' from '"Francesco Poli \(t1000\)" <frx@firenze.linux.it>' Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Fri, 16 Jul 2010 21:27:04 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Jul 2010 21:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sun, 25 Jul 2010 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sun, 25 Jul 2010 17:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sun, 25 Jul 2010 19:30:36 +0200
[Message part 1 (text/plain, inline)]
On Fri, 16 Jul 2010 23:24:39 +0200 Francesco Poli wrote:

[...]
> On Sat, 10 Jul 2010 20:57:16 +0200 Francesco Poli wrote:
> 
> > On Sat, 10 Jul 2010 10:46:12 -0700 Ryan Niebur wrote:
[...]
> > > will reply to the private emails later today hopefully, but I am at
> > > work at the moment.
> > 
> > Good, I am looking forward to reading your replies...
> 
> I haven't yet received any reply...   :-(
> 
> Ryan, let's do as follows:
> *first* you reply to my e-mail messages,
> *then* I close this bug report.
> 
> Is that OK with you?

Hello?!?

Ryan, this is getting really frustrating... :-(

Please find attached the patches to be reviewed and applied to the
public apt-listbugs git repository: now 8 patches are waiting to be
applied...

Also, please don't forget to deal with bug #590146 (reassigned to
package libdpkg-ruby1.8).



-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[0001-rearrange-todo-list.patch (text/x-diff, attachment)]
[0002-drop-unknown-todo-list-item.patch (text/x-diff, attachment)]
[0003-drop-obsolete-examples-proxy-directory.patch (text/x-diff, attachment)]
[0004-drop-one-reassigned-bug-from-TODO.patch (text/x-diff, attachment)]
[0005-fixed-typo-browswer.patch (text/x-diff, attachment)]
[0006-Debian-Policy-3.9.0.patch (text/x-diff, attachment)]
[0007-changed-exit-status-for-BTS-reading-errors.patch (text/x-diff, attachment)]
[0008-add-another-rescue.patch (text/x-diff, attachment)]
[Message part 10 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sun, 08 Aug 2010 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sun, 08 Aug 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sun, 8 Aug 2010 11:19:32 +0200
[Message part 1 (text/plain, inline)]
On Sun, 25 Jul 2010 19:30:36 +0200 Francesco Poli wrote:

[...]
> Hello?!?
> 
> Ryan, this is getting really frustrating... :-(
> 
> Please find attached the patches to be reviewed and applied to the
> public apt-listbugs git repository: now 8 patches are waiting to be
> applied...
> 
> Also, please don't forget to deal with bug #590146 (reassigned to
> package libdpkg-ruby1.8).

Ryan,
I have been struggling for months to get some collaboration from you
and finalize apt-listbugs/0.1.4 in time for Debian squeeze.

Did you read the news?
The announce I was fearing to see has finally come:
http://lists.debian.org/debian-announce/2010/msg00009.html
Squeeze has now been frozen.

At this point, I really do not know if we will be able to qualify for a
freeze exception and push all the accumulated apt-listbugs changes into
testing.
But one thing is certain: if we want to have a chance, we should act
*soon*.

So please, review and apply the above-mentioned 8 patches to the public
git repository and deal with bug #590146 !


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sat, 04 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sat, 04 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 4 Sep 2010 21:34:43 +0200
[Message part 1 (text/plain, inline)]
On Sun, 8 Aug 2010 11:19:32 +0200 Francesco Poli wrote:

> On Sun, 25 Jul 2010 19:30:36 +0200 Francesco Poli wrote:
> 
> [...]
> > Hello?!?
> > 
> > Ryan, this is getting really frustrating... :-(
[...]
>
> Ryan,
> I have been struggling for months to get some collaboration from you
> and finalize apt-listbugs/0.1.4 in time for Debian squeeze.
> 
> Did you read the news?
> The announce I was fearing to see has finally come:
> http://lists.debian.org/debian-announce/2010/msg00009.html
> Squeeze has now been frozen.
[...]

Ryan,
let's forget about the freeze: now the rules are even stricter
<http://lists.debian.org/debian-devel-announce/2010/09/msg00000.html>,
and I really doubt we will qualify for a freeze exception.

Let's concentrate on the future of apt-listbugs development.
Let's change strategy!

I've recently registered on alioth as "frx-guest" and I've just
requested to join the apt-listbugs project by using the link at
<https://alioth.debian.org/projects/apt-listbugs/>

If I understand correctly, this is the step required in order to obtain
direct push access to the public git repository
<git://git.debian.org/git/apt-listbugs/apt-listbugs.git>

Please approve my request, so that I can push my commits
directly to the public git repository!


Finally, please review the work-flow I intend to adopt for pushing my
commits to the public repository: I am a bit new to pushing to remote
git repositories hosted on alioth, and I would rather avoid messing
things up!

I would think I can do as follows.

After configuring my alioth username in ~/.ssh/config (as suggested at
<http://wiki.debian.org/Alioth/SSH>), I will prepare my local clone of
the public repository:

  $ git clone git://git.debian.org/git/apt-listbugs/apt-listbugs.git
  $ git remote add alioth ssh://git.debian.org/git/apt-listbugs/apt-listbugs.git

Inside the repository directory, I will create a topic branch for some
new feature and/or fix:

  $ git checkout -b $MY_COOL_BRANCH_NAME origin

and then, after hacking, committing, testing, hacking, testing,
committing, ..., I will get ready to push my newly created commits to
the public repository master branch:

  $ git checkout master && git pull   # this should result in a fast-forward

If some changes have been made to the master branch, while I was
committing to $MY_COOL_BRANCH_NAME , then my commits may be "rebased"
on the new tip of the master branch:

  $ git checkout $MY_COOL_BRANCH_NAME && git rebase origin

After "rebasing", I will try again:

  $ git checkout master && git pull   # this should result in a fast-forward

If there are other changes on the master branch, I will "rebase" again.
Otherwise I will push my branch to the remote master branch:

  $ git push alioth ${MY_COOL_BRANCH_NAME}:master
  $ git push alioth --tags
  $ git checkout master && git pull   # this should result in a fast-forward

At this point, master should be identical to $MY_COOL_BRANCH_NAME ,
that is to say, no output from:

  $ git log master..$MY_COOL_BRANCH_NAME

If this is the case, then the topic branch may be discarded:

  $ git branch -d $MY_COOL_BRANCH_NAME


Is everything correct?
Please let me know.

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#588636; Package apt-listbugs. (Sat, 09 Oct 2010 16:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sat, 09 Oct 2010 16:36:06 GMT) Full text and rfc822 format available.

Message #44 received at 588636@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636@bugs.debian.org
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 9 Oct 2010 18:33:14 +0200
[Message part 1 (text/plain, inline)]
On Sat, 4 Sep 2010 21:34:43 +0200 Francesco Poli wrote:

[...]
> I've recently registered on alioth as "frx-guest" and I've just
> requested to join the apt-listbugs project by using the link at
> <https://alioth.debian.org/projects/apt-listbugs/>

An update for those who read this bug report on the BTS web interface.

Thanks to the thread I opened on debian-mentors (and debian-ruby)
<http://lists.debian.org/debian-mentors/2010/10/msg00067.html>
and to the intervention of Jan Hauke Rahm (of the MIA team),
Ryan contacted me and told me that I am now an admin on the alioth
apt-listbugs project.

Hence, this part of the issue is now solved, AFAICT!

[...]
> Finally, please review the work-flow I intend to adopt for pushing my
> commits to the public repository: I am a bit new to pushing to remote
> git repositories hosted on alioth, and I would rather avoid messing
> things up!
[...]

I still need confirmation that my planned git work-flow won't mess
everything up.
As soon as I get this "green light" and perform my first pushes, I will
close this bug report.

Thanks to anyone who was, is being, or will be helpful!   ;-)


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Francesco Poli <frx@firenze.linux.it>:
You have taken responsibility. (Sat, 16 Oct 2010 16:21:10 GMT) Full text and rfc822 format available.

Notification sent to Francesco Poli <frx@firenze.linux.it>:
Bug acknowledged by developer. (Sat, 16 Oct 2010 16:21:10 GMT) Full text and rfc822 format available.

Message #49 received at 588636-done@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 588636-done@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>
Subject: Re: Bug#588636: apt-listbugs: communication problem between the two co-maintainers
Date: Sat, 16 Oct 2010 18:17:41 +0200
[Message part 1 (text/plain, inline)]
On Sat, 9 Oct 2010 18:33:14 +0200 Francesco Poli wrote:

[...]
> I still need confirmation that my planned git work-flow won't mess
> everything up.
> As soon as I get this "green light" and perform my first pushes, I will
> close this bug report.

Paul Wise has kindly reviewed my planned git work-flow and helped me to
enhance it a bit: see
http://lists.debian.org/debian-mentors/2010/10/msg00148.html
and the sub-thread that followed.

I've just performed my first direct pushes to the public git repository
and everything seems to have worked like a charm!    :-)

I am therefore closing this bug report and thanking Paul for his help!


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Nov 2010 07:33:20 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:26 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from 'Francesco Poli <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:26 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:58:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.